### Function

# Dex tls_interaction_request_certificate

unstable since: 1.2

#### Declaration [src]

    DexFuture*
    dex_tls_interaction_request_certificate (
      GTlsInteraction* interaction,
      GTlsConnection* connection,
      GTlsCertificateRequestFlags flags
    )

#### Description [src]

Wraps `g_tls_interaction_request_certificate_async()`.

Available since: 1.2

#### Parameters

`interaction`

  Type: `GTlsInteraction`

  A `GTlsInteraction`.

  The data is owned by the caller of the function.

`connection`

  Type: `GTlsConnection`

  A `GTlsConnection`.

  The data is owned by the caller of the function.

`flags`

  Type: `GTlsCertificateRequestFlags`

  Certificate request flags.

#### Return value

Type: `DexFuture`

A `DexFuture` that resolves to a `GTlsInteractionResult` or rejects with error.

The caller of the function takes ownership of the data, and is responsible for freeing it.